## l2tp-ipsec-vpn 1.0.2

=== Makefile ===
#
# $Id: Makefile 105 2011-08-16 00:56:38Z werner $
#
# File:   Makefile
# Author: Werner Jaeger
#
# Created on August 4, 2011, 3:17 PM
#
# Copyright 2011 Werner Jaeger.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

QMAKE = qmake-qt4

# default configuration is release
DEFAULTCONF=Release

# Active Configuration
CONF ?= ${DEFAULTCONF}

# All Configurations
ALLCONFS=Debug Release 

# various directories
BUILDDIR = build/${CONF}
GENDIR = src/generated
DOCDIR = docs/api
DISTDIR = dist/${CONF}
TESTDIR = build/TestFiles

# build
build: nbproject/qt-${CONF}.mk
	make -f nbproject/qt-${CONF}.mk ${DISTDIR}/L2tpIPsecVpn

# install
install: nbproject/qt-${CONF}.mk
	make -f nbproject/qt-${CONF}.mk install

# uninstall
uninstall: nbproject/qt-${CONF}.mk
	make -f nbproject/qt-${CONF}.mk uninstall

# clean
clean:
	rm -rf ${BUILDDIR}/*
	rm -rf ${GENDIR}/*
	rm -rf ${DOCDIR}
	rm -rf ${DISTDIR}/*
	rm -rf ${TESTDIR}/*
	rm -f nbproject/*.mk
	rm -f nbproject/*.bash
	rm -f *.mk

# clobber 
clobber:
	@for CONF in ${ALLCONFS}; \
	do \
	    make CONF=$${CONF} clean; \
	done

# run tests
test: build build-tests
	@if [ "${TEST}" = "" ]; \
	then  \
	    ${TESTDIR}/LibtoolTests || true; \
	    ${TESTDIR}/Pkcs12Tests || true; \
	    ${TESTDIR}/EncSecretsTests || true; \
	else  \
	    ./${TEST} || true; \
	fi

# help
help:
	@echo "This makefile supports the following configurations:"
	@echo "    ${ALLCONFS} (default = ${DEFAULTCONF})"
	@echo ""
	@echo "and the following targets:"
	@echo "    build  (default target)"
	@echo "    clean"
	@echo "    clobber"
	@echo "    install"
	@echo "    uninstall"
	@echo "    test"
	@echo "    help"
	@echo ""
	@echo "Makefile Usage:"
	@echo "    make [CONF=<CONFIGURATION>] build"
	@echo "    make [CONF=<CONFIGURATION>] clean"
	@echo "    make clobber"
	@echo "    make [CONF=<CONFIGURATION>] [INSTALL_ROOT=<Base directory to install in>] install"
	@echo "    make [INSTALL_ROOT=<Base directory to uninstall from>] uninstall"
	@echo "    make test"
	@echo "    make help"
	@echo ""
	@echo "Target 'build' will build a specific configuration."
	@echo "Target 'clean' will remove all built files from a specific configuration."
	@echo "Target 'clobber' will remove all built files from all configurations"
	@echo "Target 'install' will install a specific configuration of the program"
	@echo "       in [INSTALL_ROOT]/usr/bin/"
	@echo "Target 'uninstall' will uninstall the program from [INSTALL_ROOT]/usr/bin/"
	@echo "Target 'test' will run the test suite."
	@echo "Target 'help' prints this message"
	@echo ""

build-tests: nbproject/qt-EncSecretsTests.mk nbproject/qt-LibtoolTests.mk nbproject/qt-Pkcs12Tests.mk
	make -f nbproject/qt-EncSecretsTests.mk ${TESTDIR}/EncSecretsTests
	make -f nbproject/qt-LibtoolTests.mk ${TESTDIR}/LibtoolTests
	make -f nbproject/qt-Pkcs12Tests.mk ${TESTDIR}/Pkcs12Tests

nbproject/qt-EncSecretsTests.mk: tests/EncSecretsTests.pro
	${QMAKE} -o qttmp-EncSecretsTests.mk "BUILDDIR=${BUILDDIR}" "OBJECTS_DIR=${TESTDIR}" "DESTDIR=${TESTDIR}" tests/EncSecretsTests.pro
	mv -f qttmp-EncSecretsTests.mk nbproject/qt-EncSecretsTests.mk

nbproject/qt-LibtoolTests.mk: tests/EncSecretsTests.pro
	${QMAKE} -o qttmp-LibtoolTests.mk "BUILDDIR=${BUILDDIR}" "OBJECTS_DIR=${TESTDIR}" "DESTDIR=${TESTDIR}" tests/LibtoolTests.pro
	mv -f qttmp-LibtoolTests.mk nbproject/qt-LibtoolTests.mk

nbproject/qt-Pkcs12Tests.mk: tests/Pkcs12Tests.pro
	${QMAKE} -o qttmp-Pkcs12Tests.mk "BUILDDIR=${BUILDDIR}" "OBJECTS_DIR=${TESTDIR}" "DESTDIR=${TESTDIR}" tests/Pkcs12Tests.pro
	mv -f qttmp-Pkcs12Tests.mk nbproject/qt-Pkcs12Tests.mk

nbproject/qt-${CONF}.mk: nbproject/qt-${CONF}.pro
	${QMAKE} -o qttmp-${CONF}.mk -after "OBJECTS_DIR=${BUILDDIR}" "DESTDIR=${DISTDIR}" nbproject/qt-${CONF}.pro
	mv -f qttmp-${CONF}.mk nbproject/qt-${CONF}.mk

=== debian/changelog ===
l2tp-ipsec-vpn (1.0.2-1) unstable; urgency=low

  * New upstream release
    - fixed bug No connection names in context menu when using unity desktop
      (LP: #877083)
    - fixed bug L2tpIPsecVpn core dumps (LP: #845845)
    - copy and paste pre-shared key does not truncate trailing CR/LF
      (LP: #853020)
    - fixed bug System tray icon disappears sometimes (LP: #791471)

  * debian/postinst:
    - removed restart logic (LP: #818294)

  * debian/copyright:
    - empty lines must be escaped by representing them by a space followed by a 
      dot

 -- Werner Jaeger <werner_jaeger@web.de>  Wed, 19 Oct 2011 17:14:54 +0200

l2tp-ipsec-vpn (1.0.1-1) unstable; urgency=low

  * New upstream release
    - Makefile:
      o clean target did not delete all generated files
      o added clobber and uninstall target

    - Renamed targets in Qt test project files

  * debian/control: 
    - Removed ppp-2.4.5-eaptls-mppe suggests dependency
    - Changed architecture from any to linux-any (Closes: #639434)

 -- Werner Jaeger <werner_jaeger@web.de>  Sun, 28 Aug 2011 12:35:41 +0200

l2tp-ipsec-vpn (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #602504)

 -- Werner Jaeger <werner_jaeger@web.de>  Fri, 29 Jul 2011 07:07:22 +0200

## l2tp-ipsec-vpn 1.0.3

=== debian/changelog ===
l2tp-ipsec-vpn (1.0.3-1) unstable; urgency=low

  * New upstream release
    - added timestamp to connection information log
    - fixed bug pre-shared key containing double quote not handled properly
      (LP: #881987)

 -- Werner Jaeger <werner_jaeger@web.de>  Mon, 26 Dec 2011 02:46:11 +0200

=== debian/control ===
Source: l2tp-ipsec-vpn
Section: net
Priority: optional
Maintainer: Werner Jaeger <werner_jaeger@web.de>
Build-Depends: debhelper (>= 8.0),
               libcppunit-dev (>= 1.12.1),
               libctemplate-dev (>= 0.96),
               libengine-pkcs11-openssl (>= 0.1.8-2),
               libltdl-dev (>= 2.2.6),
               libqt4-dev (>= 4.6.2),
               libssl-dev (>= 0.9.8),
               qt4-qmake (>= 4.6.2)
Standards-Version: 3.9.2
Vcs-bzr: lp:l2tp-ipsec-vpn
Vcs-Browser: http://bazaar.launchpad.net/~werner-jaeger/l2tp-ipsec-vpn/gui/files
Homepage: https://launchpad.net/l2tp-ipsec-vpn

Package: l2tp-ipsec-vpn
Architecture: linux-any
Depends: gksu (>= 2.0),
         l2tp-ipsec-vpn-daemon (>= 0.9.5),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libengine-pkcs11-openssl (>=0.1.8-2)
Description: control your L2TP IPsec VPN connections
 This GUI provides a system tray icon in the notification area from which a non
 privileged user can establish and bring down L2TP over IPsec VPN connections.
 .
 There is also a configuration editor that allows configuring various options
 for IPsec, L2TP and PPP.

=== debian/watch ===
# http://wiki.debian.org/debian/watch/
version=3
https://launchpad.net/l2tp-ipsec-vpn/+download http://launchpad.net/l2tp-ipsec-vpn/.*/l2tp-ipsec-vpn_(.+).tar.gz

## l2tp-ipsec-vpn 1.0.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile 105 2011-08-16 00:56:38Z werner $
+# $Id: Makefile 125 2012-03-12 14:06:09Z werner $
 #
 # File:   Makefile
 # Author: Werner Jaeger
@@ -31,7 +31,7 @@
 CONF ?= ${DEFAULTCONF}
 
 # All Configurations
-ALLCONFS=Debug Release 
+ALLCONFS=Debug Release
 
 # various directories
 BUILDDIR = build/${CONF}
@@ -40,17 +40,61 @@
 DISTDIR = dist/${CONF}
 TESTDIR = build/TestFiles
 
+QMAKE_TARGET = L2tpIPsecVpn
+
 # build
 build: nbproject/qt-${CONF}.mk
-	make -f nbproject/qt-${CONF}.mk ${DISTDIR}/L2tpIPsecVpn
+	make -f nbproject/qt-${CONF}.mk ${DISTDIR}/$(QMAKE_TARGET)
 
 # install
 install: nbproject/qt-${CONF}.mk
-	make -f nbproject/qt-${CONF}.mk install
+	make -f nbproject/qt-${CONF}.mk QMAKE_TARGE=$(QMAKE_TARGET) install
+
+	@if [ "$${INSTALL_ROOT}" = "" ]; then \
+	   $(QMAKE_TARGET) applySettings || true; \
+	   invoke-rc.d rsyslog restart; \
+	fi
 
 # uninstall
 uninstall: nbproject/qt-${CONF}.mk
-	make -f nbproject/qt-${CONF}.mk uninstall
+   # if applet is running try to terminate it
+	@PIDS=$$(pidof ${QMAKE_TARGET} || true); \
+	if [ -n "$${PIDS}" ]; then \
+		echo "Trying to terminate ${QMAKE_TARGET} applet" >&2; \
+		kill $${PIDS} || true; \
+	fi
+
+   # Remove all generated configuration files
+	@echo "Trying to delete all generated config files" >&2
+	$(QMAKE_TARGET) deleteAllConfFiles || true
+
+   # Remove lock files and sockets
+	rm -f $(INSTALL_ROOT)/tmp/$(QMAKE_TARGET)-*
+
+	# Remove syslog pipe and restart syslog service
+	rm -f $(INSTALL_ROOT)/var/log/l2tpipsecvpn.pipe
+	invoke-rc.d rsyslog restart
+
+	make -f nbproject/qt-${CONF}.mk QMAKE_TARGE=$(QMAKE_TARGET) uninstall
+
+lupdate:
+	mv nbproject/qt-${DEFAULTCONF}.pro .
+	lupdate qt-${DEFAULTCONF}.pro
+	mv qt-${DEFAULTCONF}.pro nbproject
+
+lrelease:
+	mv nbproject/qt-${DEFAULTCONF}.pro .
+	lrelease -compress -nounfinished -removeidentical qt-${DEFAULTCONF}.pro
+	mv qt-${DEFAULTCONF}.pro nbproject
+
+ts2pot:
+	lconvert -if ts -of pot -o nls/nls.pot nls/L2tpIPsecVpn_de.ts
+
+ts2po:
+	lconvert -if ts -of po -o nls/de.po nls/L2tpIPsecVpn_de.ts
+
+po2ts:
+	lconvert -if po -of ts -o nls/L2tpIPsecVpn_de.ts nls/de.po
 
 # clean
 clean:
@@ -63,7 +107,7 @@
 	rm -f nbproject/*.bash
 	rm -f *.mk
 
-# clobber 
+# clobber
 clobber:
 	@for CONF in ${ALLCONFS}; \
 	do \
@@ -92,6 +136,11 @@
 	@echo "    clobber"
 	@echo "    install"
 	@echo "    uninstall"
+	@echo "    lupdate"
+	@echo "    lrelease"
+	@echo "    ts2pot"
+	@echo "    ts2po"
+	@echo "    po2ts"
 	@echo "    test"
 	@echo "    help"
 	@echo ""
@@ -101,6 +150,11 @@
 	@echo "    make clobber"
 	@echo "    make [CONF=<CONFIGURATION>] [INSTALL_ROOT=<Base directory to install in>] install"
 	@echo "    make [INSTALL_ROOT=<Base directory to uninstall from>] uninstall"
+	@echo "    make lupdate"
+	@echo "    make lrelease"
+	@echo "    make ts2pot"
+	@echo "    make ts2po"
+	@echo "    make po2ts"
 	@echo "    make test"
 	@echo "    make help"
 	@echo ""
@@ -110,6 +164,11 @@
 	@echo "Target 'install' will install a specific configuration of the program"
 	@echo "       in [INSTALL_ROOT]/usr/bin/"
 	@echo "Target 'uninstall' will uninstall the program from [INSTALL_ROOT]/usr/bin/"
+	@echo "Target 'lupdate' reads the project file, finds the translatable strings in the specified source, header and interface files, and updates the translation files (.ts files) specified in it."
+	@echo "Target 'lrelease' reads the project file and converts the translation files (.ts files) specified in it into Qt message files (.qm files) used by the application to translate."
+	@echo "Target 'ts2pot' converts a translation file (.ts file) to a GNU Portable Object Template File (.pot file)."
+	@echo "Target 'ts2po'  converts all translation files (.ts files) to GNU Portable Object Files (.po files)."
+	@echo "Target 'po2ts' converts all GNU Portable Object Files (.po files) to translation files (.ts files)."
 	@echo "Target 'test' will run the test suite."
 	@echo "Target 'help' prints this message"
 	@echo ""

=== debian/changelog ===
l2tp-ipsec-vpn (1.0.6-1) unstable; urgency=low

  * New upstream release
    - transfered writing files connectionName.info and defaultgateway.info to
      L2tpIPsecVpnControlDaemon

 -- Werner Jaeger <werner_jaeger@web.de>  Mon, 12 Mar 2012 14:42:11 +0100

l2tp-ipsec-vpn (1.0.5-1) unstable; urgency=low

  * New upstream release
    - unified runtime path, no longer using /var/tmp/L2tpIPsecVpn
    - enhanced install Makefile to create a world writable runtime directory
    - enhanced uninstall Makefile to remove runtime files and directories
    - chanaged debian copyright file to conform to the new official 1.0 Format
    - debian watch file is now working correct

 -- Werner Jaeger <werner_jaeger@web.de>  Mon, 12 Mar 2012 06:03:21 +0100

l2tp-ipsec-vpn (1.0.4-1) unstable; urgency=low

  * New upstream release
    - pure L2TP VPN without IPSEC encryption is now possible
    - disable connection names in context menu when there is no default gateway
    - enabled i18n and added German translation
    - enabled size grip for all dialogs
    - check which graphical su command (gksudo, beesu or kdesudo) is available
      when starting connection editor
    - added postrm maintainer script to delete all configuration and runtime
      files on purge
    - fixed bug unable to add static routes (LP: #932591)
    - fixed bug If no smartcard is inserted the insert smartcard dialog is not
      shown (LP: ##941740)
    - fixed bug Smartcard inserted event is not detected (LP: #941741)
    - fixed bug Invalid private key file is written when importing PKCS#12
      certificate bundle (LP: #941743)
    - fixed bug Running Pluto is not detected (LP: #941746)
    - fixed bug xl2tpd overrides and ipparam settings (LP: #95152)

 -- Werner Jaeger <werner_jaeger@web.de>  Sat, 10 Mar 2012 14:43:53 +0100

## l2tp-ipsec-vpn 1.0.7

=== debian/changelog ===
l2tp-ipsec-vpn (1.0.7-1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1013495)

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 12 Aug 2012 05:05:41 -0500

l2tp-ipsec-vpn (1.0.7-1) unstable; urgency=low

  * New upstream release
    - to be compatible with more linux distributions use service command 
      instead of invoke-rc.d command to start and stop runlevel services
    - corrected wrong desktop check
    - corrected platform specific qt includes
    - fixed FTBFS because gcc-4.7 no longer includes unistd.h
    - in Makefile configure the appropriate qmake command (qmake or qmake-qt4)
    - fixed bug connection editor crashes on selecting a certificate or private 
      key from smart card (LP: #975822)
    - fixed bug trayicon doesn't scale properly (LP: #98616)
    - provided a separate error status icon

 -- Werner Jaeger <werner_jaeger@web.de>  Mon, 21 May 2012 09:26:48 +0200

l2tp-ipsec-vpn (1.0.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: src/main.cpp:210:15: error: '::getuid' has not been
    declared": add patch from Paul Tagliamonte (missing includes).
    (Closes: #672005)

 -- gregor herrmann <gregoa@debian.org>  Tue, 15 May 2012 17:25:02 +0200

## l2tp-ipsec-vpn 1.0.9

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile 125 2012-03-12 14:06:09Z werner $
+# $Id: Makefile 144 2012-05-21 07:31:37Z wejaeger $
 #
 # File:   Makefile
 # Author: Werner Jaeger
@@ -22,7 +22,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
-QMAKE = qmake-qt4
+QMAKE := $(shell if [ -f /usr/bin/qmake ]; then echo "qmake"; else echo "qmake-qt4"; fi)
 
 # default configuration is release
 DEFAULTCONF=Release
@@ -52,7 +52,7 @@
 
 	@if [ "$${INSTALL_ROOT}" = "" ]; then \
 	   $(QMAKE_TARGET) applySettings || true; \
-	   invoke-rc.d rsyslog restart; \
+	   service rsyslog restart; \
 	fi
 
 # uninstall
@@ -73,7 +73,7 @@
 
 	# Remove syslog pipe and restart syslog service
 	rm -f $(INSTALL_ROOT)/var/log/l2tpipsecvpn.pipe
-	invoke-rc.d rsyslog restart
+	service rsyslog restart
 
 	make -f nbproject/qt-${CONF}.mk QMAKE_TARGE=$(QMAKE_TARGET) uninstall
 
@@ -125,6 +125,9 @@
 	    ./${TEST} || true; \
 	fi
 
+srccheck:
+	cppcheck -q -I src -I ${GENDIR} --enable=all src
+
 # help
 help:
 	@echo "This makefile supports the following configurations:"
@@ -134,6 +137,7 @@
 	@echo "    build  (default target)"
 	@echo "    clean"
 	@echo "    clobber"
+	@echo "    srccheck"
 	@echo "    install"
 	@echo "    uninstall"
 	@echo "    lupdate"
@@ -161,6 +165,7 @@
 	@echo "Target 'build' will build a specific configuration."
 	@echo "Target 'clean' will remove all built files from a specific configuration."
 	@echo "Target 'clobber' will remove all built files from all configurations"
+	@echo "Target 'srccheck' performs a static source code check using cppcheck"
 	@echo "Target 'install' will install a specific configuration of the program"
 	@echo "       in [INSTALL_ROOT]/usr/bin/"
 	@echo "Target 'uninstall' will uninstall the program from [INSTALL_ROOT]/usr/bin/"

=== debian/changelog ===
l2tp-ipsec-vpn (1.0.9-1) unstable; urgency=low

  * New upstream release
    - fixed bug removes files that were installed by another package 
      (Closes: #684962)

 -- Werner Jaeger <werner_jaeger@web.de>  Fri, 12 Oct 2012 06:00:13 +0200

l2tp-ipsec-vpn (1.0.8-1) unstable; urgency=low

  * New upstream release
    - fixed bug wrong email address choosen as username in EAP TLS
      authentication
    - now caching EAP-TLS autentication certificate in /etc/ipsec.d/certs
      directory

 -- Werner Jaeger <werner_jaeger@web.de>  Fri, 3 Aug 2012 17:38:43 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libqt4-dev (>= 4.6.2),
                libssl-dev (>= 0.9.8),
                qt4-qmake (>= 4.6.2)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-bzr: lp:l2tp-ipsec-vpn
 Vcs-Browser: http://bazaar.launchpad.net/~werner-jaeger/l2tp-ipsec-vpn/gui/files
 Homepage: https://launchpad.net/l2tp-ipsec-vpn
@@ -18,7 +18,7 @@
 Package: l2tp-ipsec-vpn
 Architecture: linux-any
 Depends: gksu (>= 2.0),
-         l2tp-ipsec-vpn-daemon (>= 0.9.5),
+         l2tp-ipsec-vpn-daemon (>= 0.9.8),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libengine-pkcs11-openssl (>=0.1.8-2)

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export INSTALL_ROOT=$(CURDIR)/debian/l2tp-ipsec-vpn

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs changelog

=== debian/watch ===
# http://wiki.debian.org/debian/watch/
version=3
http://launchpad.net/l2tp-ipsec-vpn/+download https://launchpad.net/l2tp-ipsec-vpn/.*/l2tp-ipsec-vpn_(.+).tar.gz
